%global forgeurl https://github.com/audiofilter/spuce
%global tag %{version}

Name:           spuce
Version:        0.4.3
Release:        1%{?dist}
Summary:        A DSP digital filtering library - IIR/FIR filtering

%forgemeta

License:        Boost
URL:            %{forgeurl}
Source0:        %{forgesource}

# Tools
BuildRequires:  cmake
BuildRequires:  gcc-c++
# Libraries
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
# Testing
BuildRequires:  python3-devel


%description
A rewrite of the digital filter components of SPUC with more
testing, better code design and c++11 features.

%package devel
Summary:        Development Files for spuce
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The development files for spuce

%package gui
Summary:        Some GUI tools for spuce

%description gui
Some Qt5 based GUI's for plotting with spuce.


%prep
%forgesetup


%build
%cmake
%cmake_build


%install
%cmake_install


%check
%ctest


%files
%license LICENSE_1_0.txt
%{_libdir}/libspuce.so.0.4.3

%files devel
%{_includedir}/spuce
%{_libdir}/libspuce.so
%{_datadir}/cmake/%{name}

%files gui
%{_bindir}/spuce_fir_plot
%{_bindir}/spuce_iir_plot
%{_bindir}/spuce_other_plot
%{_bindir}/spuce_window_plot


%changelog
* Sat Jun 25 2022 Dave Olsthoorn <dave@bewaar.me> - 0.4.3-1
- initial specfile

